#!/bin/bash

virt-install \
    --name {{ instance_name }} \
    --ram 4096 \
    --vcpus 2 \
    --os-variant {{ os_variant[test_os_new] }} \
    --network network=integration \
    --disk size=10,path="{{ image_path }}/{{ rhel_guest_image_fname }}" \
{% if bib_firmware == 'uefi' %}
    --boot {{ boot_args }} \
{% endif %}
{% if image_type == 'anaconda-iso' %}
    --cdrom "{{ image_path }}/install.iso" \
    --noreboot \
{% endif %}
{% if image_type == 'to-disk' %}
    --import \
    --noreboot \
{% endif %}
{% if image_type == '' %}
    --cdrom "{{ image_path }}/seed.iso" \
    --install no_install=yes \
{% endif %}
{% if bib == 'false' %}
    --filesystem={{ air_gapped_dir }},mount_tag,driver.type=virtiofs,accessmode=passthrough \
    --memorybacking=source.type=memfd,access.mode=shared \
{% endif %}
    --console file,source.path="/tmp/{{ instance_name }}.console" \
    --noautoconsole \
    --wait
